unity-settings-daemon crashed with SIGSEGV in idle_set_mode()

Bug #1592816 reported by Adam Conrad on 2016-06-15
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
unity-settings-daemon (Ubuntu)
High
Marco Trevisan (Treviño)
Xenial
High
Unassigned

Bug Description

Crashed after an upgrade->reboot->login->sleep->resume cycle.

ProblemType: Crash
DistroRelease: Ubuntu 16.10
Package: unity-settings-daemon 15.04.1+16.10.20160613-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-25.44-lowlatency 4.4.13
Uname: Linux 4.4.0-25-lowlatency x86_64
ApportVersion: 2.20.1-0ubuntu4
Architecture: amd64
CurrentDesktop: Unity
Date: Wed Jun 15 06:47:04 2016
ExecutablePath: /usr/lib/unity-settings-daemon/unity-settings-daemon
InstallationDate: Installed on 2015-07-13 (338 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
ProcCmdline: /usr/lib/unity-settings-daemon/unity-settings-daemon
ProcEnviron:
 PATH=(custom, no user)
 SHELL=/bin/bash
 LANG=en_US.UTF-8
 LANGUAGE=en_CA:en
 XDG_RUNTIME_DIR=<set>
SegvAnalysis:
 Segfault happened at: 0x7fe020c30cfe: mov 0x8(%rax),%rcx
 PC (0x7fe020c30cfe) ok
 source "0x8(%rax)" (0x00000008) not located in a known VMA region (needed readable region)!
 destination "%rcx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: unity-settings-daemon
StacktraceTop:
 ?? () from /usr/lib/unity-settings-daemon-1.0/libpower.so
 ?? () from /usr/lib/unity-settings-daemon-1.0/libpower.so
 ffi_call_unix64 () from /usr/lib/x86_64-linux-gnu/libffi.so.6
 ffi_call () from /usr/lib/x86_64-linux-gnu/libffi.so.6
 g_cclosure_marshal_generic () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
Title: unity-settings-daemon crashed with SIGSEGV in ffi_call_unix64()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dialout dip kvm lpadmin plugdev sambashare sbuild sudo

Related branches

Adam Conrad (adconrad) wrote :

StacktraceTop:
 idle_set_mode (manager=manager@entry=0x5617bcd84430, mode=mode@entry=GSD_POWER_IDLE_MODE_BLANK) at gsd-power-manager.c:2413
 handle_screensaver_active (parameters=0x7fe01001f100, manager=0x5617bcd84430) at gsd-power-manager.c:2789
 screensaver_signal_cb (proxy=<optimized out>, sender_name=<optimized out>, signal_name=<optimized out>, parameters=0x7fe01001f100, user_data=<optimized out>) at gsd-power-manager.c:2801
 ffi_call_unix64 () from /tmp/apport_sandbox_3X0Xzm/usr/lib/x86_64-linux-gnu/libffi.so.6
 ffi_call () from /tmp/apport_sandbox_3X0Xzm/usr/lib/x86_64-linux-gnu/libffi.so.6

Changed in unity-settings-daemon (Ubuntu):
importance: Undecided → Medium
summary: - unity-settings-daemon crashed with SIGSEGV in ffi_call_unix64()
+ unity-settings-daemon crashed with SIGSEGV in idle_set_mode()
tags: removed: need-amd64-retrace
information type: Private → Public
Sebastien Bacher (seb128) wrote :

side effect from https://code.launchpad.net/~3v1n0/unity-settings-daemon/keep-cached-kbd-backlight-updated/+merge/294662, the upower_kbd_toggle return type changed and we need changes from https://git.gnome.org/browse/gnome-settings-daemon/commit/?id=5614e2c7a275a092e1fcf43450d7f0c5730c14bd

"- ret = upower_kbd_toggle (manager, &error);
+ value = upower_kbd_toggle (manager, &error);
+ ret = (value >= 0);"

Changed in unity-settings-daemon (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
importance: Medium → High
status: New → Confirmed
Changed in unity-settings-daemon (Ubuntu):
milestone: none → ubuntu-16.04.1
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 15.04.1+16.10.20160615-0ubuntu1

---------------
unity-settings-daemon (15.04.1+16.10.20160615-0ubuntu1) yakkety; urgency=medium

  [ Kai-Heng Feng ]
  * SettingsManager: Queue up signals before getting D-Bus connection.
    (LP: #1571640)

  [ Marco Trevisan (Treviño) ]
  * GsdPowerManager: use proper return value for upower_kbd_toggle
    wherever we use it (LP: #1592816)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Wed, 15 Jun 2016 15:55:39 +0000

Changed in unity-settings-daemon (Ubuntu):
status: In Progress → Fix Released

Hello Adam, or anyone else affected,

Accepted unity-settings-daemon into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity-settings-daemon/15.04.1+16.04.20160701-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-settings-daemon (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Changed in unity-settings-daemon (Ubuntu Xenial):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 15.04.1+16.04.20160701-0ubuntu1

---------------
unity-settings-daemon (15.04.1+16.04.20160701-0ubuntu1) xenial; urgency=medium

  [ Robert Ancell ]
  * Correctly check value of XDG_CURRENT_DESKTOP.

  [ Marco Trevisan (Treviño) ]
  * PowerManager: connect to keyboard BrightnessChanged signal to update
    the cached current value properly (LP: #1510344)
  * GsdPowerManager: don't cache kbd backlight current value (LP:
    #1583861)
  * common: backport g-s-d commits for having single shared dbus proxies
  * ScreensaverProxy: redirect supported calls to gnome screensaver APIs
    (LP: #1415265, LP: #1584161)

  [ Sebastien Bacher ]
  * Don't hit an xerror when a device is removed while being configured
    (LP: #1503758)
  * wacom: don't segfault when a device is removed while being
    configured. (LP: #1439427)

  [ Marco Trevisan (Treviño) ]
  * GsdPowerManager: use proper return value for upower_kbd_toggle
    wherever we use it (LP: #1592816)

  [ Kai-Heng Feng ]
  * SettingsManager: Queue up signals before getting D-Bus connection.
    (LP: #1571640)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Fri, 01 Jul 2016 13:28:54 +0000

Changed in unity-settings-daemon (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity-settings-daemon has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers